## flask-openid 1.3.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Classy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Classy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Classy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Classy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## flask-openid 1.1.1+dfsg

=== debian/changelog ===
flask-openid (1.1.1+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/clean: Remove Flask_OpenID.egg-info/* to fix FTBFS if built twice
    in a row.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 May 2013 23:06:29 +0200

flask-openid (1.1.1+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #703534)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Mar 2013 20:29:21 +0100

=== debian/control ===
Source: flask-openid
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-flask (>= 0.8),
 python-openid (>= 2.0),
 python-doc
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-openid/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-openid/trunk/
Homepage: https://github.com/mitsuhiko/flask-openid

Package: python-flask-openid
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-flask (>= 0.8),
 python-openid (>= 2.0)
Suggests: python-flask-openid-doc
Description: OpenID support for Flask applications
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.

Package: python-flask-openid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenID support for Flask applications (documentation)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf docs/_build

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/lib/python*/*-packages/Flask_OpenID-*.egg-info/SOURCES.txt

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_VER_DFSG=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p')
DEB_VER=$(shell echo $(DEB_VER_DFSG) \
	| sed -ne 's/\(.*\)+dfsg/\1/p')
get-orig-source:
	uscan --no-conf \
		--force-download \
		--rename \
		--watchfile $(DEB_DEBDIR)/watch \
		--package flask-openid \
		--upstream-version $(DEB_VER_DFSG) \
		--destdir=.
	TMPD=`mktemp -d` && \
		tar -xaf "flask-openid_$(DEB_VER).orig.tar.gz" -C "$$TMPD" && \
		rm "flask-openid_$(DEB_VER).orig.tar.gz" && \
		mv "$$TMPD/Flask-OpenID-$(DEB_VER)" \
			"$$TMPD/Flask-OpenID-$(DEB_VER_DFSG)" && \
		find "$$TMPD" -name openid.png -delete && \
		GZIP="-9fn" tar -ca \
			--owner=root --group=root \
			-f "flask-openid_$(DEB_VER_DFSG).orig.tar.gz" \
			-C "$$TMPD" . && \
		rm -rf "$$TMPD"

## flask-openid 1.2.1+dfsg

=== debian/changelog ===
flask-openid (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use pybuild buildsystem:
    - debian/rules: Add --buildsystem=pybuild to dh call.
    - debian/control: Add dh-python to Build-Depends.
  * debian/control: Bump Standards-Version to 3.9.5, no changes required.
  * debian/copyright: Update copyright years.
  * debian/patches
    - sphinx-default-theme.patch: Removed, no longer needed.
    - github-fork.patch: Remove "Fork from github" button to fix
      privacy-breach-generic from lintian.
  * Use dh_python2 to remove SOURCES.txt:
    - debian/python-flask-openid.pyremove: Add SOURCES.txt.
    - debian/rules: Remove override_dh_auto_install.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Jan 2014 19:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 9),
- python-all (>= 2.6.6-3~),
+ dh-python,
+ python-all,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-flask (>= 0.8),
  python-openid (>= 2.0),
  python-doc
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-openid/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-openid/trunk/
 Homepage: https://github.com/mitsuhiko/flask-openid

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with=python2,sphinxdoc
+	dh $@ --with=python2,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -10,10 +10,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	python setup.py build_sphinx
-
-override_dh_auto_install:
-	dh_auto_install
-	rm debian/tmp/usr/lib/python*/*-packages/Flask_OpenID-*.egg-info/SOURCES.txt
 
 DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
 DEB_VER_DFSG=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  https://pypi.python.org/pypi/Flask-OpenID \
  .*/Flask-OpenID-(.*)\.tar\.gz

## flask-openid 1.2.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,17 @@
  debhelper (>= 9),
  dh-python,
  python-all,
+ python3-all,
  python-setuptools,
+ python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-flask (>= 0.8),
+ python3-flask (>= 0.8),
  python-openid (>= 2.0),
+ python3-openid (>= 2.0),
  python-doc
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-openid/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-openid/trunk/
 Homepage: https://github.com/mitsuhiko/flask-openid
@@ -26,10 +30,27 @@
  python-flask (>= 0.8),
  python-openid (>= 2.0)
 Suggests: python-flask-openid-doc
-Description: OpenID support for Flask applications
+Description: OpenID support for Flask applications (Python 2)
  Flask-OpenID is an extension to Flask to add OpenID based authentication. It
  supports OpenID 2.x and has basic support for the Simple Registration (SReg)
  and Attribute Exchange (AX) extensions.
+ .
+ This package contains the module for Python 2.
+
+Package: python3-flask-openid
+Architecture: all
+Depends:
+ ${python3:Depends},
+ ${misc:Depends},
+ python3-flask (>= 0.8),
+ python3-openid (>= 2.0)
+Suggests: python-flask-openid-doc
+Description: OpenID support for Flask applications (Python 3)
+ Flask-OpenID is an extension to Flask to add OpenID based authentication. It
+ supports OpenID 2.x and has basic support for the Simple Registration (SReg)
+ and Attribute Exchange (AX) extensions.
+ .
+ This package contains the module for Python 3.
 
 Package: python-flask-openid-doc
 Architecture: all

## flask-openid 1.2.3+dfsg

=== debian/changelog ===
flask-openid (1.2.3+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Oct 2014 15:44:33 +0200

flask-openid (1.2.3+dfsg-2) experimental; urgency=medium

  * Add package for Python 3.
    - debian/control: Add python3-flask, python3-all, python3-openid,
      python3-setuptools and python3-openid to Build-Depends.
    - debian/rules: Build with --with python3.
  * debian/python-flask-openid{,-doc}.examples: Move examples to
    python-flask-openid-doc package.
  * debian/{rules,copyright}: Use uscan's File-Excluded support instead of
    custom get-orig-source-target.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Oct 2014 14:18:42 +0200

flask-openid (1.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.6, no changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Oct 2014 01:21:40 +0200

## flask-openid 1.2.4+dfsg

=== debian/changelog ===
flask-openid (1.2.4+dfsg-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:48:09 +0000

flask-openid (1.2.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 12:15:50 +0200

flask-openid (1.2.4+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Oct 2014 02:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flask-openid
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 9),

## flask-openid 1.2.5%2Bdfsg

=== debian/control ===
Source: flask-openid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-flask,
 python3-openid,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-openid
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-openid.git
Homepage: https://github.com/mitsuhiko/flask-openid
Testsuite: autopkgtest-pkg-python

Package: python3-flask-openid
Architecture: all
Depends:
 python3-flask (>= 0.10.1),
 python3-openid (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-openid-doc,
Description: OpenID support for Flask applications (Python 3)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the module for Python 3.

Package: python-flask-openid-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenID support for Flask applications (documentation)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the documentation.

## flask-openid 1.2.5+dfsg

=== debian/changelog ===
flask-openid (1.2.5+dfsg-2) unstable; urgency=medium

  * debian/control: Actually save the file before running dpkg-buildpackage.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2015 19:17:34 +0200

flask-openid (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump python3-flask (Build-)Depends to match the version in setup.py.
    - Move to collab-maint.
      + Update Maintainer.
      + Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2015 18:59:28 +0200

=== debian/control ===
Source: flask-openid
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-flask (>= 0.8),
 python3-flask (>= 0.10.1),
 python-openid (>= 2.0),
 python3-openid (>= 2.0),
 python-doc
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bear.git
Vcs-Git: git://anonscm.debian.org/collab-maint/flask-openid.git
Homepage: https://github.com/mitsuhiko/flask-openid

Package: python-flask-openid
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-flask (>= 0.8),
 python-openid (>= 2.0)
Suggests: python-flask-openid-doc
Description: OpenID support for Flask applications (Python 2)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the module for Python 2.

Package: python3-flask-openid
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-flask (>= 0.10.1),
 python3-openid (>= 2.0)
Suggests: python-flask-openid-doc
Description: OpenID support for Flask applications (Python 3)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the module for Python 3.

Package: python-flask-openid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenID support for Flask applications (documentation)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://pypi.python.org/pypi/Flask-OpenID \
  .*/Flask-OpenID-(.*)\.tar\.gz

## flask-openid 1.3.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-openid

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	${MAKE} -C docs clean

override_dh_auto_build:
	dh_auto_build
	${MAKE} -C docs html

## flask-openid 1.3.0+dfsg

=== debian/changelog ===
flask-openid (1.3.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * [fd1f7fd] d/watch: Move to version 4 and git mode on GitHub
  * [72dcaaa] d/gbp.conf: Add some more default settings
  * [f6d3a1a] Rebuild patch queue from patch-queue branch
    Added patch:
    Replaced-deprecated-werkzeug.urls.url_quote-with-urllib.p.patch
    Renamed patches:
    github-fork.patch
    -> docs-Don-t-link-to-GitHub-Fork-URL.patch
    ntersphinx-mapping.patch
    -> docs-Use-local-object-inventory-files-for-sphinx.patch
  * [b09b4f4] d/control: Adjust B-D and add BuildProfileSpecs
  * [a66edca] d/rules: Drop --with option from default target
  * [7c8a400] python-flask-openid-doc: Use dh_sphinxdoc for build
  * [10911bd] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [6b2e511] d/control: Adding Rules-Requires-Root: no
  * [a97970a] d/copyright: Update Source field
  * [88f04d5] d/control: Update Homepage field
  * [51c876a] d/u/metadata: Update content
  * [a6b7983] d/control: Remove hardcoded deps in python3-flask-openid
  * [b7071e3] d/rules: Add target override_dh_installexamples

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Dec 2023 17:47:22 +0100

flask-openid (1.3.0+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-flask-openid: Drop versioned constraint on python3-flask and
      python3-openid in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 19:01:00 +0000

flask-openid (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg (Closes: #997620).
  * d/control: Bump Standards-Version to 4.6.0.1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 23 Nov 2021 23:24:25 -0300

flask-openid (1.2.5+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-flask-openid-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 13:44:36 +0100

flask-openid (1.2.5+dfsg-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New maintainer. (Closes: #873651)
  * d/control: Use debhelper-compat instead of debhelper
    - Bump debhelper-compat to 13
  * d/control: Bump standard-version to 4.5.0
  * d/control: Set DPMT as Maintainer and me as Uploaders
  * d/copyright: Add me on copyright file
  " d/rules: fix override_auto_build and override_auto_clean targets
  * d/gbp.conf: Set as branch debian/master as default.
  * d/salsa-ci.yml: Enable salsa-ci.
  * Run wrap-and-sort.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Enable autopkgtest-pkg-python testsuite.
  * d/rules: Set PYBUILD_NAME and remove python3-flask-openid.install.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 10 Sep 2020 17:10:02 -0300

flask-openid (1.2.5+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Drop Python 2 support (Closes: #936527).

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 15:25:47 +0100

=== debian/control ===
Source: flask-openid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python3-all,
 python3-flask <!nodoc>,
 python3-openid <!nodoc>,
 python3-doc <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-openid
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-openid.git
Homepage: https://github.com/pallets-eco/flask-openid
Testsuite: autopkgtest-pkg-python

Package: python3-flask-openid
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-openid-doc,
Description: OpenID support for Flask applications (Python 3)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the module for Python 3.

Package: python-flask-openid-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: OpenID support for Flask applications (documentation)
 Flask-OpenID is an extension to Flask to add OpenID based authentication. It
 supports OpenID 2.x and has basic support for the Simple Registration (SReg)
 and Attribute Exchange (AX) extensions.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask-openid

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type f -name "flask_openid.py" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-openid-doc/usr/share/doc/python-flask-openid-doc/html
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples
	# Ugly hack, moving "#!/bin/env python" -> "#!/usr/bin/python3"
	sed -i 's/bin\/env python/usr\/bin\/python3/g' $(CURDIR)/debian/python-flask-openid-doc/usr/share/doc/python-flask-openid-doc/examples/example.py

=== debian/watch ===
version=4

opts="mode=git, \
      compression=xz, \
      repacksuffix=+dfsg, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg$//" \
https://github.com/pallets-eco/flask-openid.git \
      refs/tags/@ANY_VERSION@
